Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1578)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1579)
@@ -55,7 +55,7 @@
 				}
 				AnnotationEngine engine = (AnnotationEngine) e;
 				if (!engine.isRunning()) {
-					Log.severe("Error: TreeTagger annotation engine is not ready please check TXM > Advance > TAL > TreeTagger preferences. Aborting");
+					Log.severe(GroovyMessages.errorTreeTaggerAnnotationEngineIsNotReady);
 					return Status.CANCEL_STATUS;
 				}
 				
@@ -158,14 +158,14 @@
 					//							IPath path = new Path(params.rootDir);
 					//							srcFolder.createLink(path, IResource.ALLOW_MISSING_LOCAL, monitor);
 				} else {
-					Log.severe("Error: import not correctly ended. See console messages.");
+					Log.severe(GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
 //					if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 //					if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
-					return new Status(Status.ERROR, "org.txm.groovy.core", "Import not correclty ended. See console messages.");
+					return new Status(Status.ERROR, "org.txm.groovy.core", GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
 				}
 			} else {
-				Log.severe("Error: import not correctly ended (no 'readyToLoad' binding found). See console messages.");
-				return new Status(Status.ERROR, "org.txm.groovy.core", "Import not correclty ended. See console messages.");
+				Log.fine(GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
+				return new Status(Status.ERROR, "org.txm.groovy.core", GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
 			}
 		} catch (ThreadDeath td) {
 			return Status.CANCEL_STATUS;
@@ -175,7 +175,7 @@
 			return new Status(Status.ERROR, "org.txm.groovy.core", e.getMessage());
 		} finally {
 			if (!CQPSearchEngine.isInitialized()) { // the import failed
-				monitor.setTaskName("Restarting Toolbox search engine"); //$NON-NLS-1$
+				monitor.setTaskName(GroovyMessages.restartingToolboxSearchengines); //$NON-NLS-1$
 				Toolbox.getEngineManager(EngineType.SEARCH).restartEngines();
 			}
 		}
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/GroovyMessages.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/GroovyMessages.java	(revision 1578)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/GroovyMessages.java	(revision 1579)
@@ -6,8 +6,11 @@
 public class GroovyMessages extends TXMCoreMessages {
 	
 	private static final String BUNDLE_NAME = "org.txm.groovy.core.messages.messages"; //$NON-NLS-1$
+	
 	public static String restartingToolboxSearchengines;
 	public static String startingTheP0GroovyImportScript;
+	public static String errorImportNotCorrectlyEndedSeeConsoleMessages;
+	public static Throwable errorTreeTaggerAnnotationEngineIsNotReady;
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages.properties
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages.properties	(revision 1578)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages.properties	(revision 1579)
@@ -1,2 +1,4 @@
 restartingToolboxSearchengines=Restarting search engine...
-startingTheP0GroovyImportScript=Starting the {0} Groovy import script.
\ No newline at end of file
+startingTheP0GroovyImportScript=Starting the {0} Groovy import script.
+errorImportNotCorrectlyEndedSeeConsoleMessages=Error: import not correctly ended. See previous messages.
+errorTreeTaggerAnnotationEngineIsNotReady=** Error: TreeTagger annotation engine is not ready please check TXM > Advance > NLP > TreeTagger preferences. Aborting.
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages_fr.properties	(revision 1578)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages_fr.properties	(revision 1579)
@@ -1,2 +1,4 @@
 restartingToolboxSearchengines=Redémarrage des moteurs de recherche...
-startingTheP0GroovyImportScript=Démarrage du script d'import Groovy {0}.
\ No newline at end of file
+startingTheP0GroovyImportScript=Démarrage du script d'import Groovy {0}.
+errorImportNotCorrectlyEndedSeeConsoleMessages=** Erreur: l'import ne s'est pas terminé correctement. Voir les messages précédent.
+errorTreeTaggerAnnotationEngineIsNotReady=**Erreur : l'annotation treetagger n'est pas possible. Veuillez vérifier les préférences de la page TXM > Avancé > TAL > TreeTagger. Abandon.
\ No newline at end of file
